[R] Incorrect libxml2.2.dylib version on Tiger install

From: Steven Boker <sboker_at_nd.edu>
Date: Sun 08 May 2005 - 00:30:37 EST


Hi all,

I have just installed OSX Server 10.4 and R comes up with the incompatible libxml library message reported by Dan Kelley a few messages ago. Xcode 2 does not ship with Tiger Server. I installed the X-Windows code. I can report that the version of libxml2.2 that is installed in this case is the version 8.0.0 dylib.

[6]sboker@munimula:/usr/lib % ls -l libxml2.2* -rwxr-xr-x 1 root wheel 1061704 Apr 15 23:44 libxml2.2.6.16.dylib* -rwxr-xr-x 1 root wheel 1061804 May 6 14:15 libxml2.2.dylib*

I'm working on getting a copy of the Xcode 2 CD. I was surprised it wasn't in the 10.4 server CD set. I have a production problem today, though, if anyone can help me with a copy of this library.

Best,
Steve Boker

On May 6, 2005, at 12:39 PM, Dan Kelley wrote:

 >

> Error in dyn.load(x, as.logical(local), as.logical(now)) :
> unable to load shared library '/Library/Frameworks/
> R.framework/Resources/library/grDevices/libs/grDevices.so':
> dlopen(/Library/Frameworks/R.framework/Resources/library/grDevices/
> libs/grDevices.so, 6): Library not loaded: /usr/lib/libxml2.2.dylib
> Referenced from: /System/Library/Frameworks/AppKit.framework/
> Versions/C/AppKit
> Reason: Incompatible library version: AppKit requires version
> 9.0.0 or later, but libxml2.2.dylib provides version 8.0.0

  Steven M. Boker                    574-339-0735 (cell/page/message)
  sboker@nd.edu                      574-631-4941 (office)
  http://www.nd.edu/~sboker/         574-631-8883 (fax)
  Dept. of Psychology, University of Notre Dame, Notre Dame, IN 46556

R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Sun May 08 00:37:53 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:31:38 EST